com.pdfunit.util

## Class IOHelper

- java.lang.Object
- - com.pdfunit.util.IOHelper

-     @DoNotObfuscate
      public final class IOHelper
      extends java.lang.Object

  This class provides helpful methods around I/O.
  Since:
    2016.05
  Author:
    Carsten Siedentop, February 2016

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IOHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.io.File[]` | `createFileArray(java.lang.String... renderedImageFilenames)` This method creates an array of File instances from the given array of file names.
    `static byte[]` | `getContentAsBytes(java.io.File file)` This method does what the name suggests.
    `static java.lang.String` | `getContentAsString(java.io.File file)`
    `static java.lang.String` | `getContentAsString(java.io.InputStream is)` This method does what the name suggests.
    `static java.lang.String` | `getContentAsString(java.io.Reader reader)` This method does what the name suggests.
    `static java.lang.String` | `getContentAsString(java.lang.String filename)` This method does what the name suggests.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IOHelper

          public IOHelper()

  - ### Method Detail

    - #### createFileArray

          public static java.io.File[] createFileArray(java.lang.String... renderedImageFilenames)

      This method creates an array of File instances from the given array of file names.

    - #### getContentAsBytes

          public static byte[] getContentAsBytes(java.io.File file)

      This method does what the name suggests.

    - #### getContentAsString

          public static final java.lang.String getContentAsString(java.lang.String filename)

      This method does what the name suggests.

    - #### getContentAsString

          public static java.lang.String getContentAsString(java.io.InputStream is)

      This method does what the name suggests.

    - #### getContentAsString

          public static java.lang.String getContentAsString(java.io.Reader reader)

      This method does what the name suggests.

    - #### getContentAsString

          public static final java.lang.String getContentAsString(java.io.File file)

Copyright (C) PDFUnit.com. See here for license.